Subject: bug#13342: closed (Re: bug#13342: Errors trying to build Guile 2.0.7)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Jan 2013 21:38:03 +0000

Your bug report

#13342: Clang, the FFI, and 8-bit signed integers

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13342: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13342
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13342: Errors trying to build Guile 2.0.7
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 30 Jan 2013 22:37:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 13342 notabug
thanks

Hello!

Mark H Weaver <[email-masked]> skribis:

> FYI, I've posted about this to the libffi-discuss mailing list.
>
> http://sourceware.org/ml/libffi-discuss/2013/msg00012.html

Thanks!  So, according to
<http://gcc.gnu.org/ml/gcc/2013-01/msg00449.html>, this is an LLVM bug.

Peter: would you like to report it over at LLVM?

Anyway, closing this bug now.  Thanks!

Ludo’.

Subject: Errors trying to build Guile 2.0.7
From: Peter Teeson <[email-masked]>
To: [email-masked]
Cc: Peter Teeson <[email-masked]>
Date: Wed, 02 Jan 2013 15:39:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

My environment is Mac Pro 4,1 Intel, MacOS 10.7.5 Lion
All required Guile libs are newly installed in /usr/local/

I get the following 2 errors, (A & B below) trying to build Guile.

(A) I solved this one by installing GNU readline-6.2.
Prior to that it must have used Apple's deadline which didn't have the rl_get_keymap_name
function.

You might wish to make a test for that function in configure and maybe make GNU readline a required lib?

-------- Tail Log for Make -----
…...
make  all-am
  CC       readline.lo
readline.c: In function 'init_bouncing_parens':
readline.c:445: warning: implicit declaration of function 'rl_get_keymap_name'
readline.c:445: warning: passing argument 1 of 'strncmp' makes pointer from integer without a cast
  CCLD     libguilereadline-v-18.la
Undefined symbols for architecture x86_64:
  "_rl_get_keymap_name", referenced from:
      _scm_init_readline in readline.o
ld: symbol(s) not found for architecture x86_64
collect2: ld returned 1 exit status
make[3]: *** [libguilereadline-v-18.la] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
Gandalf:guile-2.0.7 pteeson$

----------------- readline.c:445 --------
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
=========================================================

(B) I ran Make Check after Make as I always do and this error is reported
--------------- Make Check --------------------
…..
PASS: test-asmobs
bad return from expression `(f-sum -1 2000 -30000 40000000000)': expected 39999971999; got 39999972255
FAIL: test-ffi
PASS: test-list
….
PASS: test-pthread-create-secondary
==================================
1 of 29 tests failed
Please report to [email-masked]
==================================
make[5]: *** [check-TESTS] Error 1
make[4]: *** [check-am] Error 2
make[3]: *** [check] Error 2
make[2]: *** [check-recursive] Error 1
make[1]: *** [check-recursive] Error 1
make: *** [check] Error 2